Package ru.bitel.bgbilling.kernel.module.common.bean

# Class BGModule

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.module.common.bean.BGModule

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class BGModule extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BGModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `BGModule`
  `copy()`
  `BGInstalledModule`
  `getInstalledModule()`
  `String`
  `getName()`
  `BGModule`
  `setId(int id)`
  Устанавливает id объекта
  `BGModule`
  `setInstalledModule(BGInstalledModule baseModule)`
  `BGModule`
  `setName(String name)`
  `BGModule`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### BGModule

    public BGModule()

- ## Method Details

  - ### setName

    public BGModule setName(String name)

  - ### getName

    public String getName()

  - ### getInstalledModule

    public BGInstalledModule getInstalledModule()

  - ### setInstalledModule

    public BGModule setInstalledModule(BGInstalledModule baseModule)

  - ### clone

    public Object clone()
    Overrides:
      `clone` in class `Object`

  - ### setId

    public BGModule setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public BGModule setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### copy

    public BGModule copy()